Get organization notification settings
GET
/api/settings/notification-settings
const url = 'https://api.getvespy.com/api/settings/notification-settings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/settings/notification-settings \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
settings
required
object
createdAt
required
string format: date-time
id
required
string format: uuid
organizationId
required
string format: uuid
rentReminders
required
object
channels
required
Array<string>
daysAfterDue
required
Array<integer>
daysBeforeDue
required
Array<integer>
enabled
required
boolean
updatedAt
required
string format: date-time
Example
{ "settings": { "rentReminders": { "channels": [ "email" ] } }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}